#pragma semicolon 1
#include <sourcemod>
#include <sdktools>
#include <morecolors>

new Handle:hResetScoreEnabled = INVALID_HANDLE;

public Plugin:myinfo =
{
	name = "Resetscore",
	author = "Vipez",
	description = "Write !rs and Reset your Score",
	version = "1.6",
	url = "www.team-flame.eu"
}
public OnPluginStart()
{
	RegConsoleCmd("sm_resetscore", CommandResetscore);
	RegConsoleCmd("sm_restartscore", CommandResetscore);
	RegConsoleCmd("sm_rs", CommandResetscore);
	RegConsoleCmd("sm_reset", CommandResetscore);
	
	hResetScoreEnabled = CreateConVar( "sm_resetscore_enable", "1", "Soll ResetScore aktiviert werden?", _, true, 0.0, true, 1.0);
	AutoExecConfig(true, "plugin.resetscore");
	
	LoadTranslations("bararesetscore.phrases");
}
public Action:CommandResetscore(client, args)
{
	if(GetConVarInt(hResetScoreEnabled))
	{
		if( GetClientDeaths(client) != 0 || GetClientFrags(client) != 0)
		{
			SetClientFrags(client, 0);
			SetClientDeaths(client, 0);
			
			CPrintToChatAllEx(client, "%t", "Reset", client);
			return Plugin_Continue;
			
		}
		else
		{
			CPrintToChat(client, "%t", "NullNull");
			return Plugin_Handled;
		}
		
	}
	else
	{
		CPrintToChat(client, "%t", "Disabled");
		return Plugin_Handled;
	}
}	 
stock SetClientFrags(client, frags)
{
	SetEntProp(client, Prop_Data, "m_iFrags", frags);
	return 1;
}
stock SetClientDeaths(client, deaths)
{
	SetEntProp(client, Prop_Data, "m_iDeaths", deaths);
	return 1;
}
